Automations · Sequences

Create sequence

Creates a sequence.

POSThttps://api.pozy.ai/v1/sequences
createSequence

Guide: Sequences

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication

Request body

application/json, required

  • profileIdstringrequired
  • accountIdstringrequired
  • platformstringrequired

    One of instagram, facebook, telegram, twitter, bluesky, reddit, whatsapp, slack.

  • namestringrequired
  • descriptionstring
  • stepsarray of object
    • orderintegerrequired
    • delayMinutesintegerrequired
    • messageobject
      1 child field
      • textstring
    • templateobject
      3 child fields
      • namestring
      • languagestring
      • variableMappingmap of object

        Keys are free-form; each value has these fields.

        2 child fields
        • fieldstring

          One of name, phone, email, company, custom.

        • customValuestring
  • exitOnReplyboolean

    Default true.

  • exitOnUnsubscribeboolean

    Default true.

Example

curl -X POST "https://api.pozy.ai/v1/sequences" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "profileId": "6a0b6573846efc28aaa9a3ff",
  "accountId": "696e0b682d0a31188e7a2ba9",
  "platform": "instagram",
  "name": "Acme"
}'

Response

200 on success

  • successboolean
  • sequenceobject
    7 child fields
    • idstring
    • namestring
    • descriptionstring
    • platformstring
    • statusstring
    • stepsCountinteger
    • createdAtstring (date-time)
200 response
{
  "success": true,
  "sequence": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "description": "A short description",
    "platform": "instagram",
    "status": "active",
    "stepsCount": 42,
    "createdAt": "2026-10-02T09:00:00.000Z"
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is read-only, scoped to other profiles, or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Sequences